Bug 106710 - Access2base Are you missing parentheses?
Summary: Access2base Are you missing parentheses?
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
5.3.2.1 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0 target:5.3.3
Keywords: difficultyBeginner, easyHack, skillLibreOfficeBASIC
Depends on:
Blocks:
 
Reported: 2017-03-22 22:22 UTC by jorojmaqui
Modified: 2017-03-30 14:27 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Indicates where the parentheses are missing (430.20 KB, application/vnd.oasis.opendocument.text)
2017-03-22 22:22 UTC, jorojmaqui
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jorojmaqui 2017-03-22 22:22:42 UTC
Created attachment 132083 [details]
Indicates where the parentheses are missing

API Access2base 
Are you missing parentheses?  

Attached file with images
Comment 1 Xisco Faulí 2017-03-22 23:27:55 UTC
Hello,
Yes, it's a duplicated of bug 106529 and it should be fixed in LibreOffice 5.3.3.
Thanks for reporting.

*** This bug has been marked as a duplicate of bug 106529 ***
Comment 2 Aron Budea 2017-03-23 00:57:50 UTC
Access2Base is in LibreOffice repo, this is a good opportunity to fix the missing parentheses. Reopening.

Eg. http://opengrok.libreoffice.org/xref/core/wizards/source/access2base/Trace.xba
Comment 3 Katarina Behrens (CIB) 2017-03-23 14:01:25 UTC
This could even be an easy hack. Exercise Access2Base by doing usual stuff, wait for it to fail, fill in missing parenthesis, rinse and repeat
Comment 4 Mike Kaganski 2017-03-24 06:10:12 UTC
It doesn't even need to be used to fix; one only needs to manage BASIC macros, and then navigate to LibreOffice Macros & Dialogs/Access2Base, double-click each module (_License; acConstants; Application; ...) and when its code is in the editor, press *Compile* button to see if there are any syntax errors.
Comment 5 Jean-Pierre Ledure 2017-03-25 11:28:19 UTC
The parentheses missing in the Access2Base code were added in the source repositories both
- on master: https://gerrit.libreoffice.org/gitweb?p=core.git;a=commit;h=72a2f615c37aada0d5ab8791f1fa9a71772b50f6
- on LO 5.3: https://gerrit.libreoffice.org/#/c/35683/1 (still open for review)

Thanks for reporting.
Comment 6 Commit Notification 2017-03-25 13:53:07 UTC
Jean-Pierre Ledure committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a403671af80be1e1563eea013d155e6a0635f0f0&h=libreoffice-5-3

Access2Base Missing parentheses - tdf#106710

It will be available in 5.3.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Jean-Pierre Ledure 2017-03-26 10:42:58 UTC
An additional case was found in one of the corrected files.
Corrected by next commit:
https://gerrit.libreoffice.org/35717

Please review.

Sorry for the uncompletion of the previous correction.
It should be OK now.
Comment 8 Commit Notification 2017-03-27 21:14:02 UTC
Jean-Pierre Ledure committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=648ab6fcab8b9e8642c6f5cbac9c9e44579de746

Access2Base Missing parentheses - tdf#106710

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2017-03-27 21:15:43 UTC
Jean-Pierre Ledure committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c317670eb6b5d29f0447feff0c33d528a88f4c8a&h=libreoffice-5-3

Access2Base Missing parentheses - tdf#106710

It will be available in 5.3.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2017-03-30 14:27:33 UTC
Jean-Pierre Ledure committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=53c2507bf97867011fd2bfbbac6c86b7fc494338

Access2Base Missing parentheses - tdf#106710

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.